%define major   1
%define libname %mklibname rime %{major}
%define devname %mklibname rime -d

Name:           librime
Version:        1.13.0
Release:        %mkrel 1
Summary:        Rime Input Method Engine Library
Group:          System/Libraries
License:        GPL-3.0-only
URL:            https://rime.im/
Source0:        https://github.com/rime/librime/archive/%{version}/%{name}-%{version}.tar.gz
# The following librime lua plugin needs to access the librime internal API.
# Build the librime lua plugin when build the librime package.
Source1:        https://github.com/hchunhui/librime-lua/archive/refs/heads/master.tar.gz#/librime-lua.tar.gz

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  cmake(glog)
BuildRequires:  pkgconfig(gflags)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(leveldb)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(marisa)
BuildRequires:  pkgconfig(opencc)
BuildRequires:  pkgconfig(yaml-cpp)
BuildRequires:  pkgconfig(zlib)

%description
Rime Input Method Engine Library.

Support for shape-based and phonetic-based input methods,
including those for Chinese dialects.

A selected dictionary in Traditional Chinese,
powered by opencc for Simplified Chinese output.


%package -n %{libname}
Summary:        Rime Input Method Engine Library
Group:          System/Libraries
Provides:       rime = %{version}-%{release}

%description -n %{libname}
Rime Input Method Engine Library.

Support for shape-based and phonetic-based input methods,
including those for Chinese dialects.

A selected dictionary in Traditional Chinese,
powered by opencc for Simplified Chinese output.


%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       rime-devel = %{version}-%{release}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.


%package        tools
Summary:        Tools for %{name}
Group:          System/Internationalization

%description    tools
The %{name}-tools package contains tools for %{name}.


%package        lua
Summary:        Lua plugin for %{name}
Group:          System/Internationalization

%description    lua
The %{name}-lua package contains the lua plugin from the community.


%prep
%autosetup -p1

pushd plugins
tar xvf %{SOURCE1}
mv librime-lua-master lua
popd

%build
%cmake \
       -DBUILD_MERGED_PLUGINS=OFF \
       -DENABLE_EXTERNAL_PLUGINS=ON

%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/rime.pc
%{_datadir}/cmake/rime/

%files tools
%doc README.md
%{_bindir}/rime_deployer
%{_bindir}/rime_dict_manager
%{_bindir}/rime_patch
%{_bindir}/rime_table_decompiler

%files lua
%doc README.md
%{_libdir}/rime-plugins/librime-lua.so


%changelog
* Thu Feb 06 2025 daviddavid <daviddavid> 1.13.0-1.mga10
+ Revision: 2145760
- new version: 1.13.0

* Sat Nov 16 2024 daviddavid <daviddavid> 1.12.0-1.mga10
+ Revision: 2116079
- new version: 1.12.0

* Fri May 31 2024 daviddavid <daviddavid> 1.11.2-1.mga10
+ Revision: 2068886
- initial package librime

